### Enumeration

# Json ReaderError

since: 0.12

#### Declaration

    error-domain Json.ReaderError

#### Description [src]

Error codes for `JSON_READER_ERROR`.

This enumeration can be extended at later date.

Available since: 0.12

#### Members

`JSON_READER_ERROR_NO_ARRAY`

  No array found at the current position.

  - Value: `0`
  - Available since: 0.12
`JSON_READER_ERROR_INVALID_INDEX`

  Index out of bounds.

  - Value: `1`
  - Available since: 0.12
`JSON_READER_ERROR_NO_OBJECT`

  No object found at the current position.

  - Value: `2`
  - Available since: 0.12
`JSON_READER_ERROR_INVALID_MEMBER`

  Member not found.

  - Value: `3`
  - Available since: 0.12
`JSON_READER_ERROR_INVALID_NODE`

  No valid node found at the current position.

  - Value: `4`
  - Available since: 0.12
`JSON_READER_ERROR_NO_VALUE`

  The node at the current position does not hold a value.

  - Value: `5`
  - Available since: 0.12
`JSON_READER_ERROR_INVALID_TYPE`

  The node at the current position does not hold a value of the desired type.

  - Value: `6`
  - Available since: 0.12

#### Type functions

###### json_reader_error_quark

No description available.